.navigation {
	padding-top: 50px;
}

body, table, div, p, dl {
	font-family: "Lucida Sans Unicode",sans-serif;
	font-size: 13px;
}

/* @group Heading Levels */

h1 {
	text-align: center;
	font-size: 150%;
}

h2 {
	font-size: 120%;
}

h3 {
	font-size: 100%;
}

/* @end */

caption {
	font-weight: bold;
}

div.qindex, div.navpath, div.navtab{
	background: #f7f9f9;
	border-top: 1px solid #EEE;
	border-bottom: 1px solid #EEE;
	text-align: center;
	margin: 2px;
	padding: 2px;
}

div.qindex, div.navpath {
	width: 100%;
	line-height: 140%;
}

div.navtab {
	margin-right: 15px;
}

/* @group Link Styling */

a {
	color: #799892;
	text-decoration: none;
	font-weight: normal;
}

a:hover {
	color: #444;
	text-decoration: underline;

}

a.qindex {
	font-weight: bold;
}

a.qindexHL {
	font-weight: bold;
	background-color: #6666cc;
	border: 1px double #9295C2;
}

a.el {
	font-weight: bold;
}

a.elRef {
}

a.code {
}

a.codeRef {
}

/* @end */

dl.el {
	margin-left: -1cm;
}

.fragment {
	font-family: monospace, fixed;
	font-size: 105%;
}

pre.fragment {
	background: url(http://quarnos.org/img/bgcode.gif);
	border: 1px solid #F0F0F0;
	border-left: 6px solid #374845;	
	color: #444;
	display: block;
	font: normal 1.1em "Monospace","Courier New",serif;
	margin-bottom: 12px;
	padding: 8px 10px;
	white-space: pre;

}

div.ah {
	background-color: black;
	font-weight: bold;
	color: #ffffff;
	margin-bottom: 3px;
	margin-top: 3px
}

div.groupHeader {
	margin-left: 16px;
	margin-top: 12px;
	margin-bottom: 6px;
	font-weight: bold;
}

div.groupText {
	margin-left: 16px;
	font-style: italic;
}

body {
	background: #FFF url(http://quarnos.org/img/bg.gif) repeat-x;
	color: #444;
	margin-right: 20px;
	margin-left: 20px;
}

td.indexkey {
	background: #f7f9f9;
	font-weight: bold;
	border: 1px solid #EEE;
	margin: 2px 0px 2px 0;
	padding: 2px 10px;
}

td.indexvalue {
	background: #f7f9f9;
	border: 1px solid #EEE;
	padding: 2px 10px;
	margin: 2px 0px;
}

tr.memlist {
	background-color: #f0f0f0;
}

p.formulaDsp {
	text-align: center;
}

img.formulaDsp {
	
}

img.formulaInl {
	vertical-align: middle;
}

/* @group Code Colorization */

span.keyword {
	color: #008000
}

span.keywordtype {
	color: #604020
}

span.keywordflow {
	color: #e08000
}

span.comment {
	color: #800000
}

span.preprocessor {
	color: #806020
}

span.stringliteral {
	color: #002080
}

span.charliteral {
	color: #008080
}

span.vhdldigit { 
	color: #ff00ff 
}

span.vhdlchar { 
	color: #000000 
}

span.vhdlkeyword { 
	color: #700070 
}

span.vhdllogic { 
	color: #ff0000 
}

/* @end */

.search {
	color: #003399;
	font-weight: bold;
}

form.search {
	margin-bottom: 0px;
	margin-top: 0px;
}

input.search {
	font-size: 75%;
	color: #000080;
	font-weight: normal;
	background: #f7f9f9;
;
}

td.tiny {
	font-size: 75%;
}

.dirtab {
	padding: 4px;
	border-collapse: collapse;
	border: 1px solid #EEE;
}

th.dirtab {
	background: #f7f9f9;
	font-weight: bold;
}

hr {
	height: 0;
	border: none;
	border-top: 1px solid #EEE;
}

/* @group Member Descriptions */

.mdescLeft, .mdescRight,
.memItemLeft, .memItemRight,
.memTemplItemLeft, .memTemplItemRight, .memTemplParams {
	background-color: #f7f9f9;
	border: none;
	margin: 4px;
	padding: 1px 0 0 8px;
}

.mdescLeft, .mdescRight {
	padding: 0px 8px 4px 8px;
	color: #444;
}

.memItemLeft, .memItemRight, .memTemplParams {
	border-top: 1px solid #EEE;
}

.memTemplParams {
	color: #606060;
}

/* @end */

/* @group Member Details */

/* Styles for detailed member documentation */

.memtemplate {
	font-size: 80%;
	color: #606060;
	font-weight: normal;
	margin-left: 3px;
}

.memnav {
	background: #f7f9f9;
	border: 1px solid #EEE;
	text-align: center;
	margin: 2px;
	margin-right: 15px;
	padding: 2px;
}

.memitem {
	padding: 0;
}

.memname {
	white-space: nowrap;
	font-weight: bold;
}

.memproto, .memdoc {
	border-top: 1px solid #EEE;
}

.memdoc {
	border-bottom: 1px solid #EEE;
}

.memproto {
	padding: 0;
	background: #f7f9f9;
	font-weight: bold;
}

.memdoc {
	padding: 2px 5px;
	background: #f7f9f9;
}

.memdoc p, .memdoc dl, .memdoc ul {
	margin: 6px 0;
}

.paramkey {
	text-align: right;
}

.paramtype {
	white-space: nowrap;
}

.paramname {
	color: #602020;
	white-space: nowrap;
}
.paramname em {
	font-style: normal;
}

/* @end */

/* @group Directory (tree) */

/* for the tree view */

.ftvtree {
	font-family: sans-serif;
	margin: 0.5em;
}

/* these are for tree view when used as main index */

.directory {
	font-size: 9pt;
	font-weight: bold;
}

.directory h3 {
	margin: 0px;
	margin-top: 1em;
	font-size: 11pt;
}

/*
The following two styles can be used to replace the root node title
with an image of your choice.  Simply uncomment the next two styles,
specify the name of your image and be sure to set 'height' to the
proper pixel height of your image.
*/

/*
.directory h3.swap {
	height: 61px;
	background-repeat: no-repeat;
	background-image: url("yourimage.gif");
}
.directory h3.swap span {
	display: none;
}
*/

.directory > h3 {
	margin-top: 0;
}

.directory p {
	margin: 0px;
	white-space: nowrap;
}

.directory div {
	display: none;
	margin: 0px;
}

.directory img {
	vertical-align: -30%;
}

/* these are for tree view when not used as main index */

.directory-alt {
	font-size: 100%;
	font-weight: bold;
}

.directory-alt h3 {
	margin: 0px;
	margin-top: 1em;
	font-size: 11pt;
}

.directory-alt > h3 {
	margin-top: 0;
}

.directory-alt p {
	margin: 0px;
	white-space: nowrap;
}

.directory-alt div {
	display: none;
	margin: 0px;
}

.directory-alt img {
	vertical-align: -30%;
}

/* @end */

address {
	font-style: normal;
	color: #333;
}

.footer {
	color: #666;
	border-top: 1px solid #EEE;
	font: normal 1em Verdana,sans-serif;
	margin: 0 42% 0 0;
	margin-top: 15px;
	padding: 8px 6px;
	text-align: right;
	background: url(http://quarnos.org/img/quarnosorg.png) no-repeat left center;
	width: 100%;
}


